Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.io
Class TableOutput

    java.lang.Object
      java.io.OutputStream
          java.io.FileOutputStream
              org.basex.io.TableOutput

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public final class TableOutput

extends java.io.FileOutputStream

This class allows a blockwise output of the database table.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen, Tim Petrowsky

Constructor Summary
`TableOutput(java.lang.String db, java.lang.String fn, Prop pr)` Initializes the output.

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(int b)`

Methods inherited from class java.io.FileOutputStream
`getChannel, getFD, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableOutput

    public TableOutput(java.lang.String db,
                       java.lang.String fn,
                       Prop pr)
                throws java.io.IOException

  Initializes the output. The database suffix will be added to all filenames.

  Parameters:
    `db` - name of the database
    `fn` - the file to be written to
    `pr` - database properties
  Throws:
    `java.io.IOException` - IO Exception

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FileOutputStream`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.FileOutputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD